Frage Wie abwärtskompatibel wird das Ubuntu SDK sein?


Lassen Sie mich zuerst sagen, von SDK bin ich nicht wirklich mit Bezug auf QT Creator, aber Ubuntu QML Bibliotheken, ich bin eigentlich mit Geany für alle meine Programmierung.

Wenn Ubuntu sehr zunächst die Ubuntu SDK veröffentlicht wechselte ich eine App wurde ich in QML arbeiten, ich bin mit QML für die GUI und C für alle Innenleben. Nach dem Upgrade auf 13.10 meine app ziemlich brach, war es nicht schwer für mich, herauszufinden, was mit dem Ubuntu-SDK und die entsprechenden Änderungen geändert hatte, aber jetzt bin ich besorgt über das SDK in der Regel haben sie nur so dramatisch machen Änderungen, weil sie immer noch funktionieren, oder ist jede Version von Ubuntu, die herauskommt, die Kompatibilität mit Apps zu brechen? Mit anderen Worten, sobald sie das Ubuntu SDK offiziell veröffentlicht haben, wird es dasselbe sein, egal welche Ubuntu Version Leute haben?

Und gibt es ein Wort darüber, wann die endgültige Version des Ubuntu SDK veröffentlicht wird?


4
2017-10-30 01:46


Ursprung




Antworten:


Das SDK war ziemlich flüssig, da dies die anfängliche Entwicklung war und wir erst mit der Veröffentlichung von Ubuntu 13.10 unseren ersten "stabilen" Zustand erreicht haben. Es sollte von nun an keine Unterbrechung in der API geben, ohne zuerst zu einem Abnutzungszeitraum zu gehen. Wenn dies für genug Leute wichtig ist, können wir eine Sitzung im nächsten UDS abhalten, um zu besprechen, wie wir damit umgehen sollen.


4
2017-10-30 02:17



Super, danke für die Antwort. Ich dachte, das wäre der Fall, ich war nur etwas besorgt, da ich viel Arbeit in meine App gesteckt habe. - KoRnKloWn